Subject: Re: [BUG] emacs cygwin compile.el next-error fails with Ant
From: Joe Buehler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 24 Jul 2003 10:05:34 -0400

Mark Evenson wrote:

> /^[A-Z]:/ {
>       command = "tr \\\\\\\\\ / | xargs cygpath "; 
>       printf "%s", $1 | command;  
>       close(command); 
>       for (i = 2; i < NF; i++) {
>         printf " %s", $i;
>       };
>       printf "\n";
> 
>       next;
> }
> {print}

I think I see now why you said that my posted command would not work.
The problem is that I have not yet fixed emacs to recognize drive letters.
The workaround is to use the /cygdrive/DRIVELETTER syntax.

So try something like this:

ant whatever 2>&1 | sed 's=\\=/=g;s=\([a-zA-Z]\):/=/cygdrive/\1/=g;s/\r//g'

This:

1. changes \ to /
2. changes X:/ to /cygdrive/X/
3. removes carriage returns

I saw you used some GNU sed feature for 3, so correct it if I got it wrong.
I don't think it's portable to other platforms so I never use it.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/